<template>
  <div id="editCourse">
    <el-tabs v-model="activeName" type="card">
      <el-tab-pane label="课程基本信息" name="first"
        ><basic-info-edit
      /></el-tab-pane>
      <el-tab-pane label="课程章节内容" name="second"
        ><chapter-content
      /></el-tab-pane>
    </el-tabs>
  </div>
</template>

<script>
import basicInfoEdit from "../basicInfoEdit/index.vue";
import chapterContent from "../chapterContent/index.vue";
export default {
  components: { basicInfoEdit, chapterContent },
  name: "EditCourse",
  data() {
    return {
      activeName: "first",
    };
  },
  mounted() {
    if (this.$route.query.name) {
      if (this.$route.query.name == 1) {
        this.activeName = "first";
      }
      if (this.$route.query.name == 2) {
        this.activeName = "second";
      }
    }
  },
  methods: {},
};
</script>

<style lang="less" scoped>
</style>